Name: slocate
Version: 0.2.3
Release: alt1
Serial: 1

Summary: Finds files on a system via central file name database
License: GPL
Group: File tools

Source: %name-%version.tar.bz2

Requires(pre): shadow-utils

# Automatically added by buildreq on Tue Oct 08 2002
BuildRequires: libcap-devel

%description
This is a security-enhanced version of locate.  Just like locate,
%name searches through a central database (which is updated nightly)
for files which match a given pattern.  Locate allows you to quickly
find files anywhere on your system.

%prep
%setup -q

%build
%make_build

%install
make install
%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%_localstatedir/locate/locatedb

%pre
/usr/sbin/groupadd -r -f %name >/dev/null 2>&1
/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:

%files
%attr(2711,root,%name) %_bindir/%name
%_bindir/locate
%_sbindir/*
%config %_sysconfdir/cron.daily/*
%config(noreplace) %_sysconfdir/*.conf
%_mandir/man?/*
%attr(710,root,%name) %dir %_localstatedir/locate
%attr(640,root,%name) %verify(not md5 mtime size) %ghost %_localstatedir/locate/locatedb

%changelog
* Sun Dec 15 2002 Dmitry V. Levin <ldv@altlinux.org> 1:0.2.3-alt1
- Build with LFS enabled by default.

* Tue Oct 08 2002 Dmitry V. Levin <ldv@altlinux.org> 1:0.2.2-alt1
- Added to default prunefs list:
  cardfs cefs davfs ftpfs localfs sshfs.

* Mon May 13 2002 Dmitry V. Levin <ldv@altlinux.org> 1:0.2.1-alt1
- Relocated locate to slocate, added symlink.

* Tue May 07 2002 Dmitry V. Levin <ldv@altlinux.org> 1:0.2-alt1
- Fixed false "corrupted database" error reporting.
- Reorganized locate matching code (ready for new methods).
- Fixed "check_existence" logic: existence check enabled by default
  only for privileged mode.

* Fri Apr 19 2002 Dmitry V. Levin <ldv@altlinux.org> 1:0.1.2-alt1
- Enhanced database corruption diagnostics.

* Wed Apr 17 2002 Dmitry V. Levin <ldv@altlinux.org> 1:0.1.1-alt1
- Honor --ignore-case also in plain lookup.

* Sun Apr 14 2002 Dmitry V. Levin <ldv@altlinux.org> 1:0.1-alt1
- Initial revision.
